cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/document_templates/dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"document_template": {
"display_name": "Invoice layout (AU)",
"description": "Layout for Australian invoices"
}
}'from exsited import build_client
client = build_client()
response = client.document_templates.update_settings_document_template(
"dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"document_template": {
"display_name": "Invoice layout (AU)",
"description": "Layout for Australian invoices",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.documentTemplates.updateSettingsDocumentTemplate('dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
document_template: {display_name: 'Invoice layout (AU)', description: 'Layout for Australian invoices'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->documentTemplates->updateSettingsDocumentTemplate(
'dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'document_template' => [
'display_name' => 'Invoice layout (AU)',
'description' => 'Layout for Australian invoices',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.document_templates.document_templates_dto.DocumentTemplatesDto.SettingsDocumentTemplate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsDocumentTemplate> response = client.documentTemplates().updateSettingsDocumentTemplate(
"dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"document_template", Map.of(
"display_name", "Invoice layout (AU)",
"description", "Layout for Australian invoices")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.DocumentTemplates.UpdateSettingsDocumentTemplateAsync(
"dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["document_template"] = new Dictionary<string, object?>
{
["display_name"] = "Invoice layout (AU)",
["description"] = "Layout for Australian invoices",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.documentTemplates
.updateSettingsDocumentTemplate('dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
'document_template': {
'display_name': 'Invoice layout (AU)',
'description': 'Layout for Australian invoices',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.DocumentTemplates().UpdateSettingsDocumentTemplate(context.Background(), "dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"document_template": map[string]any{
"display_name": "Invoice layout (AU)",
"description": "Layout for Australian invoices",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"document_template": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"is_custom_template": true,
"is_default": true,
"is_edited": true,
"is_system_template": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
}Document templates
Update a document template
Changes the fields you send on a document template and returns it under document_template.
PATCH
/
settings
/
document_templates
/
{document_template_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/document_templates/dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"document_template": {
"display_name": "Invoice layout (AU)",
"description": "Layout for Australian invoices"
}
}'from exsited import build_client
client = build_client()
response = client.document_templates.update_settings_document_template(
"dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"document_template": {
"display_name": "Invoice layout (AU)",
"description": "Layout for Australian invoices",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.documentTemplates.updateSettingsDocumentTemplate('dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
document_template: {display_name: 'Invoice layout (AU)', description: 'Layout for Australian invoices'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->documentTemplates->updateSettingsDocumentTemplate(
'dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'document_template' => [
'display_name' => 'Invoice layout (AU)',
'description' => 'Layout for Australian invoices',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.document_templates.document_templates_dto.DocumentTemplatesDto.SettingsDocumentTemplate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsDocumentTemplate> response = client.documentTemplates().updateSettingsDocumentTemplate(
"dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"document_template", Map.of(
"display_name", "Invoice layout (AU)",
"description", "Layout for Australian invoices")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.DocumentTemplates.UpdateSettingsDocumentTemplateAsync(
"dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["document_template"] = new Dictionary<string, object?>
{
["display_name"] = "Invoice layout (AU)",
["description"] = "Layout for Australian invoices",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.documentTemplates
.updateSettingsDocumentTemplate('dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
'document_template': {
'display_name': 'Invoice layout (AU)',
'description': 'Layout for Australian invoices',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.DocumentTemplates().UpdateSettingsDocumentTemplate(context.Background(), "dt_151b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"document_template": map[string]any{
"display_name": "Invoice layout (AU)",
"description": "Layout for Australian invoices",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"document_template": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"is_custom_template": true,
"is_default": true,
"is_edited": true,
"is_system_template": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
}Send the fields to change under
document_template, such as display_name and description.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The document template's dt_ id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated document template, under document_template.
Show child attributes
Show child attributes